#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 primitive-extras
version:              0.10.1.10
visibility:           public
id:                   primitive-extras-0.10.1.10-HzPzCd0mCuQ3Ed2YY8gK8W
key:                  primitive-extras-0.10.1.10-HzPzCd0mCuQ3Ed2YY8gK8W
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/metrix-ai/primitive-extras
synopsis:             Extras for the "primitive" library
description:
    Raw collection of extra utiltilies for the "primitive" library.

category:             Primitive
abi:                  19e3550176061787f2da4b52008f216c
exposed:              True
exposed-modules:
    PrimitiveExtras.Bitmap PrimitiveExtras.By6Bits
    PrimitiveExtras.PrimArray PrimitiveExtras.PrimMultiArray
    PrimitiveExtras.SmallArray PrimitiveExtras.UnliftedArray

hidden-modules:
    PrimitiveExtras.FoldMs PrimitiveExtras.Folds
    PrimitiveExtras.Prelude PrimitiveExtras.Types

import-dirs:          /usr/lib/ghc-9.2.8/site-local/primitive-extras-0.10.1.10
library-dirs:         /usr/lib/ghc-9.2.8/site-local/primitive-extras-0.10.1.10
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-primitive-extras
hs-libraries:         HSprimitive-extras-0.10.1.10-HzPzCd0mCuQ3Ed2YY8gK8W
depends:
    base-4.16.4.0 bytestring-0.11.4.0
    cereal-0.5.8.3-9zcITCTkqXtHoa6jbeSF22
    deferred-folds-0.9.18.6-HqY6v5ABtkn7zc5FByBOJo
    focus-1.0.3.2-AeTyd0o6jpF2u2RLKLNoe3
    foldl-1.4.16-7u39o2w6DqLF8RduTTizJA
    list-t-1.0.5.4-KRno2o7PDQSi7jkiA22Ro
    primitive-0.7.4.0-5Nr7R1OcK3bE67TSpaATMA
    primitive-unlifted-0.1.3.1-IO36n7O1fMlFtDVZ1T8je5
    profunctors-5.6.2-Ak4NfIHWWTtKZ2x63ZD0Ws
    vector-0.13.1.0-BOAscM7GxpQxkvUjpqER4

haddock-interfaces:
    /usr/share/doc/haskell-primitive-extras/html/primitive-extras.haddock

haddock-html:         /usr/share/doc/haskell-primitive-extras/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

